﻿Type=Service
Version=6.8
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region Module Attributes
	#StartAtBoot: False
#End Region

'Service module
Sub Process_Globals
	
	Dim n1 As Notification
	Dim mp As MediaPlayer
	Dim timer1 As Timer
End Sub
Sub Service_Create
	n1.Initialize
	n1.AutoCancel=True
	n1.Icon="icon" 'Sets the icon displayed.
	n1.Sound=True
	n1.SetInfo("Alarm1","Set Alarm1",Main)
	

End Sub

Sub Service_Start(StartingIntent As Intent)
	
	Dim StartPos As Int=0
	Dim AlarmTimeFound As Boolean
	For StartPos=0 To Main.curs.RowCount-2
		Main.curs.Position=Main.curs.Position+ StartPos
		If Main.curs.GetString("DayDate")=DateTime.Date(DateTime.Now) And Main.curs.GetString("MTime" & ":00") Then
			Main.NextReminder=DateTime.DateTimeParse(Main.curs.GetString("DayDate"),Main.curs.GetString("MTime") & ":00")
			AlarmTimeFound=True
			Exit
		Else
			AlarmTimeFound=False
		End If
	Next
	If AlarmTimeFound=True Then
		mp.Initialize2("mplay")
		timer1.Initialize("timer1",300)
		timer1.Enabled=True
		mp.Load(File.DirAssets,"Marimba-logo.mp3")
	
 	
		ToastMessageShow("Woken up " & DateUtils.TicksToString( Main.NextReminder) & ":" & Main.AlCount,True)
		mp.Play
		
		n1.Notify(1)
		
  	
		Log(" :Alarm1" & DateUtils.TicksToString( Main.NextReminder))
		StopService("")
		CancelScheduledService("")
		StartServiceAt("", Main.NextReminder,True)
		
	End If
   	
End Sub

Sub Service_Destroy
	Log("Service_Destroy Sub called")
	n1.Cancel(1)
	StopService("")
End Sub


Sub timer1_tick
	If mp.IsPlaying Then
		If Main.blnStop Then
			mp.stop
		End If
		If Main.blnPause Then
			mp.Pause
		End If
	End If
End Sub